package com.xtd.project.assets.service;

import java.util.List;
import com.xtd.project.assets.domain.DbAssetsStockScrap;

/**
 * 资产报废Service接口
 *
 * @author xtd
 * @date 2020-04-17
 */
public interface IDbAssetsStockScrapService
{
    /**
     * 查询资产报废
     *
     * @param aId 资产报废ID
     * @return 资产报废
     */
    public DbAssetsStockScrap selectDbAssetsStockScrapById(Long aId);

    /**
     * 查询资产报废列表
     *
     * @param dbAssetsStockScrap 资产报废
     * @return 资产报废集合
     */
    public List<DbAssetsStockScrap> selectDbAssetsStockScrapList(DbAssetsStockScrap dbAssetsStockScrap);

    /**
     * 新增资产报废
     *
     * @param dbAssetsStockScrap 资产报废
     * @return 结果
     */
    public int insertDbAssetsStockScrap(DbAssetsStockScrap dbAssetsStockScrap);

    /**
     * 修改资产报废
     *
     * @param dbAssetsStockScrap 资产报废
     * @return 结果
     */
    public int updateDbAssetsStockScrap(DbAssetsStockScrap dbAssetsStockScrap);

    /**
     * 批量删除资产报废
     *
     * @param aIds 需要删除的资产报废ID
     * @return 结果
     */
    public int deleteDbAssetsStockScrapByIds(Long[] aIds);

    /**
     * 删除资产报废信息
     *
     * @param aId 资产报废ID
     * @return 结果
     */
    public int deleteDbAssetsStockScrapById(Long aId);

    void commit(Long aId, String processId);

    void recommit(DbAssetsStockScrap dbAssetsStockScrap);
}
